package com.jpsoft.shinestar.modules.sys.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.sys.entity.RolePermission;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface RolePermissionDAO {
	int insert(RolePermission entity);
	int update(RolePermission entity);
	int exist(String id);
	RolePermission get(String id);
	int delete(String id);
	List<RolePermission> list();
	List<RolePermission> search(Map<String,Object> searchParams,List<Sort> sortList);
    List<RolePermission> findByRoleId(String roleId);
	int deleteByRoleId(String roleId);
}